# Uses of Enum io.dapr.workflows.runtime.WorkflowRuntimeStatus (dapr-sdk-parent 1.14.1 API)
use: package: io.dapr.workflows.runtime, enum: WorkflowRuntimeStatus

# Uses of Enum
io.dapr.workflows.runtime.WorkflowRuntimeStatus

Packages that use WorkflowRuntimeStatus
Package
Description
io.dapr.workflows.client
io.dapr.workflows.runtime

## Uses of WorkflowRuntimeStatus in io.dapr.workflows.client

Methods in io.dapr.workflows.client that return WorkflowRuntimeStatus
Modifier and Type
Method
Description
`WorkflowRuntimeStatus`
WorkflowInstanceStatus.`getRuntimeStatus()`
Gets the current runtime status of the workflow instance at the time this object was fetched.

## Uses of WorkflowRuntimeStatus in io.dapr.workflows.runtime

Methods in io.dapr.workflows.runtime that return WorkflowRuntimeStatus
Modifier and Type
Method
Description
`static WorkflowRuntimeStatus`
WorkflowRuntimeStatus.`fromOrchestrationRuntimeStatus(com.microsoft.durabletask.OrchestrationRuntimeStatus status)`
Convert runtime OrchestrationRuntimeStatus to WorkflowRuntimeStatus.
`static WorkflowRuntimeStatus`
WorkflowRuntimeStatus.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static WorkflowRuntimeStatus[]`
WorkflowRuntimeStatus.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in io.dapr.workflows.runtime with parameters of type WorkflowRuntimeStatus
Modifier and Type
Method
Description
`static com.microsoft.durabletask.OrchestrationRuntimeStatus`
WorkflowRuntimeStatus.`toOrchestrationRuntimeStatus(WorkflowRuntimeStatus status)`
Convert runtime WorkflowRuntimeStatus to OrchestrationRuntimeStatus.
Method parameters in io.dapr.workflows.runtime with type arguments of type WorkflowRuntimeStatus
Modifier and Type
Method
Description
`static List<com.microsoft.durabletask.OrchestrationRuntimeStatus>`
WorkflowRuntimeStatus.`toOrchestrationRuntimeStatus(List<WorkflowRuntimeStatus> statuses)`
Convert runtime WorkflowRuntimeStatus to OrchestrationRuntimeStatus.